Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.ampool
Class PoolMgr

`java.lang.Object
oracle.jbo.pool.ResourcePoolManager
oracle.jbo.common.ampool.PoolMgr`

Direct Known Subclasses:
  ContextPoolManager

public class PoolMgr
extends ResourcePoolManager

This class manages the Application Pool. It is a singleton instance.

Field Summary

Fields inherited from class oracle.jbo.pool.ResourcePoolManager
`mLock`

Constructor Summary
`PoolMgr()`

Method Summary
`void` | `addPool(ApplicationPool pool)` Deprecated.
`ApplicationPool` | `createPool(java.lang.String sName, java.lang.String sApplicationModule, java.lang.String sConnectString, java.util.Hashtable env)` Create a new Application Module pool, throws an exception if the pool is already registered.
`ApplicationPool` | `createPool(java.lang.String sName, java.lang.String sPackageName, java.lang.String sConfigName, java.util.Properties props)` Creates a new Application Module pool, throws an exception if the pool is already registered.
`ApplicationPool` | `createPool(java.lang.String sName, java.lang.String sClass, java.lang.String sApplicationModule, java.lang.String sConnectString, java.util.Hashtable env)` Create a new Application Module pool, throws an exception if the pool is already registered.
`ApplicationPool` | `findPool(java.lang.String poolName, Configuration configuration, java.lang.String configName)`
`ApplicationPool` | `findPool(java.lang.String poolName, java.lang.String applicationModuleName, java.lang.String connectString, java.util.Hashtable environment)` Searches for a pool with the specified name.
`ApplicationPool` | `findPool(java.lang.String poolName, java.lang.String packageName, java.lang.String configName, java.util.Properties props)` Searches for a pool with the specified name.
`ApplicationPool` | `findPool(java.lang.String poolName, java.lang.String poolClassName, java.lang.String applicationModuleName, java.lang.String connectString, java.util.Hashtable environment)` Searches for a pool with the specified name.
`static PoolMgr` | `getInstance()` Retrieves the singleton instance of the Pool Manager
`protected int` | `getMonitorSleepInterval()` Returns the interval in milliseconds for which the monitor daemon should sleep between wakeup requests.
`ApplicationPool` | `getPool(java.lang.String sName)` Deprecated.
`java.util.Enumeration` | `getPoolNames()` Deprecated.
`java.util.Enumeration` | `getPools()` Deprecated.
`boolean` | `isPoolCreated(java.lang.String sName)` Returns true if the pool has already been created.
`void` | `removePool(java.lang.String sName)` Deprecated.

Methods inherited from class oracle.jbo.pool.ResourcePoolManager
`addResourcePool, createPoolMonitor, getManagerInstance, getProperty, getResourcePool, getResourcePoolKeys, getResourcePools, getResourcePoolTimer, removePoolMonitor, removeResourcePool`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PoolMgr

    public PoolMgr()

Method Detail

### getInstance

    public static PoolMgr getInstance()

  Retrieves the singleton instance of the Pool Manager

### isPoolCreated

    public boolean isPoolCreated(java.lang.String sName)

  Returns true if the pool has already been created.

### getPool

    public ApplicationPool getPool(java.lang.String sName)

  Deprecated.
  Returns the ApplicationPool interface for the named pool.
  Since:
    5.0
  See Also:
    `ResourcePoolManager.getResourcePool(Object)`

### addPool

    public void addPool(ApplicationPool pool)

  Deprecated.
  Adds the pool to the pool manager collection.
  Parameters:
    `pool` - the pool to add.
  Since:
    5.0
  See Also:
    `ResourcePoolManager.addResourcePool(Object, Object)`

### removePool

    public void removePool(java.lang.String sName)

  Deprecated.
  Removes the named pool and calls remove() method on all ApplicationModule instances that are being managed by the pool.
  Parameters:
    `sName` - name of the pool to remove.
  Since:
    5.0
  See Also:
    `ResourcePoolManager.removeResourcePool(Object)`

### getPools

    public java.util.Enumeration getPools()

  Deprecated.
  Returns the Enumeration interface that allows you to enumerate through all the Application Pools that are registered with the Pool Manager.
  Since:
    5.0
  See Also:
    `ResourcePoolManager.getResourcePools()`

### getPoolNames

    public java.util.Enumeration getPoolNames()

  Deprecated.
  Since:
    5.0
  See Also:
    `ResourcePoolManager.getResourcePoolKeys()`

### createPool

    public ApplicationPool createPool(java.lang.String sName,
                                      java.lang.String sClass,
                                      java.lang.String sApplicationModule,
                                      java.lang.String sConnectString,
                                      java.util.Hashtable env)
                               throws java.lang.Exception

  Create a new Application Module pool, throws an exception if the pool is already registered. The connectInfo parameter provides the necessary settings required for creating instances of ApplicationModules that are part of the pool. You can also specify the name of the class that implements the ApplicationPool interface. This is an important setting for users that want to provide a custom implementation of the ApplicationPool interface. The default ApplicationPool implementation is in the oracle.jbo.client.ampool.ApplicationPoolImpl class.
  Throws:
    `java.lang.Exception`

### createPool

    public ApplicationPool createPool(java.lang.String sName,
                                      java.lang.String sApplicationModule,
                                      java.lang.String sConnectString,
                                      java.util.Hashtable env)
                               throws java.lang.Exception

  Create a new Application Module pool, throws an exception if the pool is already registered. The connectInfo parameter provides the necessary settings required for creating instances of ApplicationModules that are part of the pool. You can also specify the name of the class that implements the ApplicationPool interface. This is an important setting for users that want to provide a custom implementation of the ApplicationPool interface. The default ApplicationPool implementation is in the oracle.jbo.client.ampool.ApplicationPoolImpl class.
  Throws:
    `java.lang.Exception`

### createPool

    public ApplicationPool createPool(java.lang.String sName,
                                      java.lang.String sPackageName,
                                      java.lang.String sConfigName,
                                      java.util.Properties props)
                               throws java.lang.Exception

  Creates a new Application Module pool, throws an exception if the pool is already registered.

  This method creates an Application Module pool, based on the named AppModule Configuaraion

  The application module configuration provides the necessary settings required for creating instances of Application Modules that are part of the pool. You can also specify the name of a custom application pool implementation (implements oracle.jbo.common.ApplicationPool interface). The default ApplicationPool implementation is provided in oracle.jbo.common.ampool.ApplicationPoolImpl.

  Parameters:
    `sName` - name of the pool
    `sPackageName` - package name of the AppModule., package10, for package10.Package10Module
    `sConfigName` - named Configuration to use
    `props` - collection of additional properties to be passed to the application pool
  Throws:
    `java.lang.Exception`

### findPool

    public ApplicationPool findPool(java.lang.String poolName,
                                    java.lang.String poolClassName,
                                    java.lang.String applicationModuleName,
                                    java.lang.String connectString,
                                    java.util.Hashtable environment)

  Searches for a pool with the specified name. Creates a new pool if one is not located.

### findPool

    public ApplicationPool findPool(java.lang.String poolName,
                                    java.lang.String applicationModuleName,
                                    java.lang.String connectString,
                                    java.util.Hashtable environment)

  Searches for a pool with the specified name. Creates a new pool if one is not located.

### findPool

    public ApplicationPool findPool(java.lang.String poolName,
                                    Configuration configuration,
                                    java.lang.String configName)

### findPool

    public ApplicationPool findPool(java.lang.String poolName,
                                    java.lang.String packageName,
                                    java.lang.String configName,
                                    java.util.Properties props)

  Searches for a pool with the specified name. Creates a new pool if one is not located.

### getMonitorSleepInterval

    protected int getMonitorSleepInterval()

  Description copied from class: `ResourcePoolManager`
  Returns the interval in milliseconds for which the monitor daemon should sleep between wakeup requests.
  Overrides:
    `getMonitorSleepInterval` in class `ResourcePoolManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.